Bullet Collision Detection & Physics Library: ConvertJointsLoop Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
ConvertJointsLoop Struct Reference
Inheritance diagram for ConvertJointsLoop:
[legend]
Collaboration diagram for ConvertJointsLoop:
[legend]

## Public Member Functions
| ConvertJointsLoop (btSequentialImpulseConstraintSolverMt *solver, const btAlignedObjectArray< btSequentialImpulseConstraintSolverMt::JointParams > &jointParamsArray, btTypedConstraint **srcConstraints, const btContactSolverInfo &infoGlobal)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btAlignedObjectArray< btSequentialImpulseConstraintSolverMt::JointParams > & | m_jointParamsArray
btTypedConstraint ** | m_srcConstraints
const btContactSolverInfo & | m_infoGlobal

## Detailed Description

Definition at line 664 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ ConvertJointsLoop()

ConvertJointsLoop::ConvertJointsLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | const btAlignedObjectArray< btSequentialImpulseConstraintSolverMt::JointParams > & | jointParamsArray,
|  | btTypedConstraint ** | srcConstraints,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 671 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void ConvertJointsLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 680 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_infoGlobal

const btContactSolverInfo& ConvertJointsLoop::m_infoGlobal

Definition at line 669 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_jointParamsArray

const btAlignedObjectArray<btSequentialImpulseConstraintSolverMt::JointParams>& ConvertJointsLoop::m_jointParamsArray

Definition at line 667 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* ConvertJointsLoop::m_solver

Definition at line 666 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_srcConstraints

btTypedConstraint** ConvertJointsLoop::m_srcConstraints

Definition at line 668 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp